/********************************************************************** 
 Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/
#ifndef FC__CIVMAPGEN_H
#define FC__CIVMAPGEN_H

/*
 * This contains header definitions for the actual civmap generation
 * routines, as opposed to civmap.h which contains the definitions for
 * the map header, i.e. description of what will or has been constructed.
 *
 * The assumption is that anything here is never used during play.
 */

#include "civmap.h"

CIVMAP *civmap_gen(CIVMAP *map);
void civmap_continent_assign(CIVMAP *pmap);
void civmap_ocean_assign(CIVMAP *pmap);

void adjust_terrain_param(CIVMAP *pmap);
void create_start_positions(CIVMAP *pmap);

void map_printstats(const CIVMAP *pmap, int ncont);
void map_printcmap(const CIVMAP *pmap);
void map_printomap(const CIVMAP *pmap);
void map_printtmap(const CIVMAP *pmap);

#endif  /* FC__CIVMAPGEN_H */
