/**********************************************************************
 Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
 civtile_ex.h - Copyright (C) 2002 - R. Wetmore

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/

#ifndef	FC__CIVTILE_EX_H
#define	FC__CIVTILE_EX_H

/**
 * civtile_ex.h - extended civtile functions (terrain accessors, etc.)
 */

#include "civtile.h"

/* External methods */

int  civtile_get_food(CIVTILE *ptile);
int  civtile_get_food_base(CIVTILE *ptile);
int  civtile_get_shield(CIVTILE *ptile);
int  civtile_get_shield_base(CIVTILE *ptile);
int  civtile_get_trade(CIVTILE *ptile);
int  civtile_get_trade_base(CIVTILE *ptile);

const char *civtile_get_fpt_text(CIVTILE *ptile);
const char *civtile_get_info_text(CIVTILE *ptile);

int  civtile_road_time(CIVTILE *ptile);
int  civtile_railroad_time(CIVTILE *ptile);
int  civtile_irrigation_time(CIVTILE *ptile);
int  civtile_mine_time(CIVTILE *ptile);
int  civtile_transform_time(CIVTILE *ptile);
int  civtile_fortress_time(CIVTILE *ptile);
int  civtile_airbase_time(CIVTILE *ptile);
int  civtile_pollution_time(CIVTILE *ptile);
int  civtile_fallout_time(CIVTILE *ptile);
#ifdef	FC__UNIT_H
int  civtile_activity_time(CIVTILE *ptile, enum unit_activity activity);
#endif	/* FC__UNIT_H */

int  civtile_road(CIVTILE *ptile);
int  civtile_irrigate(CIVTILE *ptile);
int  civtile_mine(CIVTILE *ptile);
int  civtile_transform(CIVTILE *ptile);


/* These are used extensively, so are typically optimized to macros. */

#endif	/* FC__CIVTILE_EX_H */

