/********************************************************************** 
 property.c - Copyright (C) 2002 - R. Wetmore

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/

#define FC__PROPERTY_C

/**
 * property.c - utility functions to manage a "name=value" property map.
 */

#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#include "property.h"

/**
 * Return the property element from a NULL terminated list for a given key.
 *
 * Note: uses linear search - best for small property sets.
 */
PROPERTY *getProperty(PROPERTY list[], char *key)
{
  PROPERTY *pl = list;
  int  nn = strlen(key);

  while (pl->name && strncmp(pl->name, key, nn))
    pl++;
  return pl;
}

/**
 * Return the property element from a NULL terminated list for a given key.
 */
PROPERTY *getProperty_by_index(PROPERTY list[], char *key)
{
  if (isdigit(key[0]))
    return &list[atoi(key)];

  return getProperty(list, key);
}

